BDS (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.xmss

## Class BDS

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.BDS

- All Implemented Interfaces:
    java.io.Serializable

      public final class BDS
      extends java.lang.Object
      implements java.io.Serializable

  BDS.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<XMSSNode>` | `getAuthenticationPath()`
    `protected int` | `getIndex()`
    `int` | `getMaxIndex()`
    `BDS` | `getNextState(byte[] publicSeed, byte[] secretKeySeed, org.bouncycastle.pqc.crypto.xmss.OTSHashAddress otsHashAddress)`
    `protected XMSSNode` | `getRoot()`
    `protected int` | `getTreeHeight()`
    `BDS` | `withMaxIndex(int maxIndex, ASN1ObjectIdentifier digestName)`
    `BDS` | `withMaxIndex(int maxIndex, ASN1ObjectIdentifier digestName, int digestSize)`
    `BDS` | `withWOTSDigest(ASN1ObjectIdentifier digestName)`
    `BDS` | `withWOTSDigest(ASN1ObjectIdentifier digestName, int digestSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNextState

          public BDS getNextState(byte[] publicSeed,
                                  byte[] secretKeySeed,
                                  org.bouncycastle.pqc.crypto.xmss.OTSHashAddress otsHashAddress)

    - #### getTreeHeight

          protected int getTreeHeight()

    - #### getRoot

          protected XMSSNode getRoot()

    - #### getAuthenticationPath

          protected java.util.List<XMSSNode> getAuthenticationPath()

    - #### getIndex

          protected int getIndex()

    - #### getMaxIndex

          public int getMaxIndex()

    - #### withWOTSDigest

          public BDS withWOTSDigest(ASN1ObjectIdentifier digestName)

    - #### withWOTSDigest

          public BDS withWOTSDigest(ASN1ObjectIdentifier digestName,
                                    int digestSize)

    - #### withMaxIndex

          public BDS withMaxIndex(int maxIndex,
                                  ASN1ObjectIdentifier digestName)

    - #### withMaxIndex

          public BDS withMaxIndex(int maxIndex,
                                  ASN1ObjectIdentifier digestName,
                                  int digestSize)